libqt5-qtwebengine-32bit-5.12.3-ku.2.1.x86_64.rpm


Advertisement

Description

libqt5-qtwebengine-32bit - Qt 5 WebEngine Library

Property Value
Distribution openSUSE Tumbleweed
Repository KDE Unstable all
Package filename libqt5-qtwebengine-32bit-5.12.3-ku.2.1.x86_64.rpm
Package name libqt5-qtwebengine-32bit
Package version 5.12.3
Package release ku.2.1
Package architecture x86_64
Package type rpm
Category Development/Libraries/X11
Homepage https://www.qt.io
License LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only
Maintainer -
Download size 31.09 MB
Installed size 104.12 MB
Qt WebEngine provides functionality for rendering regions of dynamic
web content.
The functionality in Qt WebEngine is divided into the following
modules:
* QtWebEngineCore: Provides public API shared by both QtWebEngine and
QtWebEngineWidgets
* QtWebEngine: Provides QML types for rendering web content within a
QML application
* QtWebEngineWidgets: Provides a web browser engine as well as C++
classes to render and interact with web content

Alternatives

Package Version Architecture Repository
libqt5-qtwebengine-32bit-5.12.3-2.1.x86_64.rpm 5.12.3 x86_64 KDE 5
libqt5-qtwebengine-32bit-5.12.3-1.1.x86_64.rpm 5.12.3 x86_64 openSUSE Oss
libqt5-qtwebengine-32bit - - -

Requires

Name Value
ld-linux.so.2 -
ld-linux.so.2(GLIBC_2.1) -
ld-linux.so.2(GLIBC_2.3) -
libQt5Core.so.5 -
libQt5Core.so.5(Qt_5) -
libQt5Core.so.5(Qt_5.12) -
libQt5Gui.so.5 -
libQt5Gui.so.5(Qt_5) -
libQt5Gui.so.5(Qt_5.12.3_PRIVATE_API) -
libQt5Network.so.5 -
libQt5Network.so.5(Qt_5) -
libQt5Positioning.so.5 -
libQt5Positioning.so.5(Qt_5) -
libQt5PrintSupport.so.5 -
libQt5PrintSupport.so.5(Qt_5) -
libQt5Qml.so.5 -
libQt5Qml.so.5(Qt_5) -
libQt5Quick.so.5 -
libQt5Quick.so.5(Qt_5) -
libQt5QuickWidgets.so.5 -
libQt5QuickWidgets.so.5(Qt_5) -
libQt5WebChannel.so.5 -
libQt5WebChannel.so.5(Qt_5) -
libQt5Widgets.so.5 -
libQt5Widgets.so.5(Qt_5) -
libX11.so.6 -
libXss.so.1 -
libasound.so.2 -
libasound.so.2(ALSA_0.9) -
libavcodec.so.58 -
libavcodec.so.58(LIBAVCODEC_58) -
libavformat.so.58 -
libavformat.so.58(LIBAVFORMAT_58) -
libavutil.so.56 -
libavutil.so.56(LIBAVUTIL_56) -
libc.so.6(GLIBC_2.28) -
libdbus-1.so.3 -
libdbus-1.so.3(LIBDBUS_1_3) -
libdl.so.2 -
libdl.so.2(GLIBC_2.0) -
libdl.so.2(GLIBC_2.1) -
libevent-2.1.so.6 -
libexpat.so.1 -
libfontconfig.so.1 -
libfreetype.so.6 -
libgcc_s.so.1 -
libgcc_s.so.1(GCC_3.0) -
libgcc_s.so.1(GCC_3.4) -
libgcc_s.so.1(GCC_4.0.0) -
libgcc_s.so.1(GCC_7.0.0) -
libgcc_s.so.1(GLIBC_2.0) -
libharfbuzz.so.0 -
libicui18n.so.suse64.2 -
libicuuc.so.suse64.2 -
libjpeg.so.8 -
libjpeg.so.8(LIBJPEG_8.0) -
libm.so.6 -
libm.so.6(GLIBC_2.0) -
libm.so.6(GLIBC_2.1) -
libm.so.6(GLIBC_2.27) -
libm.so.6(GLIBC_2.29) -
libminizip.so.1 -
libnspr4.so -
libnss3.so -
libnss3.so(NSS_3.10) -
libnss3.so(NSS_3.11) -
libnss3.so(NSS_3.11.1) -
libnss3.so(NSS_3.12) -
libnss3.so(NSS_3.12.3) -
libnss3.so(NSS_3.2) -
libnss3.so(NSS_3.22) -
libnss3.so(NSS_3.3) -
libnss3.so(NSS_3.4) -
libnss3.so(NSS_3.5) -
libnss3.so(NSS_3.8) -
libnss3.so(NSS_3.9.2) -
libnssutil3.so -
libnssutil3.so(NSSUTIL_3.12) -
libnssutil3.so(NSSUTIL_3.12.3) -
libopus.so.0 -
libpng16.so.16 -
libpng16.so.16(PNG16_0) -
libpthread.so.0 -
libpthread.so.0(GLIBC_2.0) -
libpthread.so.0(GLIBC_2.1) -
libpthread.so.0(GLIBC_2.2) -
libpthread.so.0(GLIBC_2.2.3) -
libpthread.so.0(GLIBC_2.3.2) -
libpthread.so.0(GLIBC_2.3.3) -
libre2.so.0 -
librt.so.1 -
librt.so.1(GLIBC_2.2) -
libsnappy.so.1 -
libstdc++.so.6 -
libstdc++.so.6(CXXABI_1.3) -
libstdc++.so.6(CXXABI_1.3.5) -
libstdc++.so.6(CXXABI_1.3.9) -
libstdc++.so.6(GLIBCXX_3.4) -
libstdc++.so.6(GLIBCXX_3.4.11) -
libstdc++.so.6(GLIBCXX_3.4.14) -
libstdc++.so.6(GLIBCXX_3.4.15) -
libstdc++.so.6(GLIBCXX_3.4.18) -
libstdc++.so.6(GLIBCXX_3.4.19) -
libstdc++.so.6(GLIBCXX_3.4.20) -
libstdc++.so.6(GLIBCXX_3.4.21) -
libstdc++.so.6(GLIBCXX_3.4.22) -
libstdc++.so.6(GLIBCXX_3.4.9) -
libvpx.so.6 -
libwebp.so.7 -
libwebpdemux.so.2 -
libwebpmux.so.3 -
libz.so.1 -
libz.so.1(ZLIB_1.2.0) -

Provides

Name Value
libQt5WebEngine.so.5 -
libQt5WebEngine.so.5(Qt_5) -
libQt5WebEngine.so.5(Qt_5.0) -
libQt5WebEngine.so.5(Qt_5.1) -
libQt5WebEngine.so.5(Qt_5.10) -
libQt5WebEngine.so.5(Qt_5.11) -
libQt5WebEngine.so.5(Qt_5.12) -
libQt5WebEngine.so.5(Qt_5.12.3_PRIVATE_API) -
libQt5WebEngine.so.5(Qt_5.2) -
libQt5WebEngine.so.5(Qt_5.3) -
libQt5WebEngine.so.5(Qt_5.4) -
libQt5WebEngine.so.5(Qt_5.5) -
libQt5WebEngine.so.5(Qt_5.6) -
libQt5WebEngine.so.5(Qt_5.7) -
libQt5WebEngine.so.5(Qt_5.8) -
libQt5WebEngine.so.5(Qt_5.9) -
libQt5WebEngineCore.so.5 -
libQt5WebEngineCore.so.5(Qt_5) -
libQt5WebEngineCore.so.5(Qt_5.0) -
libQt5WebEngineCore.so.5(Qt_5.1) -
libQt5WebEngineCore.so.5(Qt_5.10) -
libQt5WebEngineCore.so.5(Qt_5.11) -
libQt5WebEngineCore.so.5(Qt_5.12) -
libQt5WebEngineCore.so.5(Qt_5.12.3_PRIVATE_API) -
libQt5WebEngineCore.so.5(Qt_5.2) -
libQt5WebEngineCore.so.5(Qt_5.3) -
libQt5WebEngineCore.so.5(Qt_5.4) -
libQt5WebEngineCore.so.5(Qt_5.5) -
libQt5WebEngineCore.so.5(Qt_5.6) -
libQt5WebEngineCore.so.5(Qt_5.7) -
libQt5WebEngineCore.so.5(Qt_5.8) -
libQt5WebEngineCore.so.5(Qt_5.9) -
libQt5WebEngineWidgets.so.5 -
libQt5WebEngineWidgets.so.5(Qt_5) -
libQt5WebEngineWidgets.so.5(Qt_5.0) -
libQt5WebEngineWidgets.so.5(Qt_5.1) -
libQt5WebEngineWidgets.so.5(Qt_5.10) -
libQt5WebEngineWidgets.so.5(Qt_5.11) -
libQt5WebEngineWidgets.so.5(Qt_5.12) -
libQt5WebEngineWidgets.so.5(Qt_5.12.3_PRIVATE_API) -
libQt5WebEngineWidgets.so.5(Qt_5.2) -
libQt5WebEngineWidgets.so.5(Qt_5.3) -
libQt5WebEngineWidgets.so.5(Qt_5.4) -
libQt5WebEngineWidgets.so.5(Qt_5.5) -
libQt5WebEngineWidgets.so.5(Qt_5.6) -
libQt5WebEngineWidgets.so.5(Qt_5.7) -
libQt5WebEngineWidgets.so.5(Qt_5.8) -
libQt5WebEngineWidgets.so.5(Qt_5.9) -
libqt5-qtwebengine-32bit = 5.12.3-ku.2.1
libqt5-qtwebengine-32bit(x86-32) = 5.12.3-ku.2.1
libqtwebengineplugin.so -
libqwebengineview.so -

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libqt5-qtwebengine-32bit-5.12.3-ku.2.1.x86_64.rpm
Source Package libqt5-qtwebengine-5.12.3-ku.2.1.src.rpm

Install Howto

  1. Add the KDE Unstable repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/KDE:/Unstable:/Qt/openSUSE_Tumbleweed/ kde-unstable
  2. Install libqt5-qtwebengine-32bit rpm package:
    # zypper install libqt5-qtwebengine-32bit

Files

Path
/usr/lib/libQt5WebEngine.so.5
/usr/lib/libQt5WebEngine.so.5.12
/usr/lib/libQt5WebEngine.so.5.12.3
/usr/lib/libQt5WebEngineCore.so.5
/usr/lib/libQt5WebEngineCore.so.5.12
/usr/lib/libQt5WebEngineCore.so.5.12.3
/usr/lib/libQt5WebEngineWidgets.so.5
/usr/lib/libQt5WebEngineWidgets.so.5.12
/usr/lib/libQt5WebEngineWidgets.so.5.12.3
/usr/lib/qt5/
/usr/lib/qt5/plugins/
/usr/lib/qt5/plugins/designer/libqwebengineview.so
/usr/lib/qt5/qml/
/usr/lib/qt5/qml/QtWebEngine/libqtwebengineplugin.so

Changelog

2019-04-30 - Fabian Vogt <fabian@ritter-vogt.de>
- Fix system_vpx bcond
2019-04-18 - fabian@ritter-vogt.de
- Update to 5.12.3:
* New bugfix release
* For more details please see:
* http://code.qt.io/cgit/qt/qtwebengine.git/plain/dist/changes-5.12.3/?h=v5.12.3
- Refresh chromium-non-void-return.patch
2019-03-14 - fabian@ritter-vogt.de
- Update to 5.12.2:
* New bugfix release
* For more details please see:
* http://code.qt.io/cgit/qt/qtwebengine.git/plain/dist/changes-5.12.2/?h=5.12.2
- Remove patches, now upstream:
* cve-2019-5786.patch
2019-03-11 - Martin Herkt <9+suse@cirno.systems>
- Add cve-2019-5786.patch
Backport fix for CVE-2019-5786
https://bugreports.qt.io/browse/QTBUG-74254
2019-02-04 - wbauer@tmo.at
- Fix build on Leap 42.3 by adding c++14 to QT_CONFIG
2019-02-01 - fabian@ritter-vogt.de
- Update to 5.12.1:
* New bugfix release
* For more details please see:
* http://code.qt.io/cgit/qt/qtwebengine.git/plain/dist/changes-5.12.1/?h=v5.12.1
- Refresh disable-gpu-when-using-nouveau-boo-1005323.diff
- Remove patches, now upstream:
* gn-fix_arm.patch
* chromium-66.0.3359.170-gcc8-alignof.patch
2019-01-21 - Bernhard Wiedemann <bwiedemann@suse.com>
- Add reproducible.patch to override chromium build date
to make package build reproducible (boo#1047218)
- Use openSUSE's ninja for the build so that we can apply fixes there
that are used by everyone (boo#1118619)
2018-12-21 - Guillaume GARDET <guillaume.gardet@opensuse.org>
- Backport patch to fix %arm builds:
* gn-fix_arm.patch
2018-12-06 - fabian@ritter-vogt.de
- Update to 5.12.0:
* New feature release
* For more details please see:
* http://code.qt.io/cgit/qt/qtwebengine.git/plain/dist/changes-5.12.0/?h=v5.12.0
2018-12-03 - fabian@ritter-vogt.de
- Update to 5.12.0-rc2:
* New bugfix release
* Only important bugfixes
- Changelog for Qt 5.12.0:
* http://code.qt.io/cgit/qt/qtwebengine.git/plain/dist/changes-5.12.0/?h=5.12.0

See Also

Package Description
libqt5-qtwebengine-5.12.3-ku.2.1.i586.rpm Qt 5 WebEngine Library
libqt5-qtwebengine-5.12.3-ku.2.1.x86_64.rpm Qt 5 WebEngine Library
libqt5-qtwebengine-devel-32bit-5.12.3-ku.2.1.x86_64.rpm Development files for the Qt5 WebEngine library
libqt5-qtwebengine-devel-5.12.3-ku.2.1.i586.rpm Development files for the Qt5 WebEngine library
libqt5-qtwebengine-devel-5.12.3-ku.2.1.x86_64.rpm Development files for the Qt5 WebEngine library
libqt5-qtwebengine-examples-5.12.3-ku.2.1.i586.rpm Qt5 location examples
libqt5-qtwebengine-examples-5.12.3-ku.2.1.x86_64.rpm Qt5 location examples
libqt5-qtwebengine-private-headers-devel-5.12.3-ku.2.1.noarch.rpm Non-ABI stable experimental API for the Qt5 WebEngine library
libqt5-qtwebsockets-devel-32bit-5.12.3-ku.1.1.x86_64.rpm Development files for the Qt5 WebSockets library
libqt5-qtwebsockets-devel-5.12.3-ku.1.1.i586.rpm Development files for the Qt5 WebSockets library
libqt5-qtwebsockets-devel-5.12.3-ku.1.1.x86_64.rpm Development files for the Qt5 WebSockets library
libqt5-qtwebsockets-examples-5.12.3-ku.1.1.i586.rpm Qt5 websockets examples
libqt5-qtwebsockets-examples-5.12.3-ku.1.1.x86_64.rpm Qt5 websockets examples
libqt5-qtwebsockets-private-headers-devel-5.12.3-ku.1.1.noarch.rpm Non-ABI stable experimental API for the Qt5 WebSocket library
libqt5-qtwebview-devel-5.12.3-ku.1.1.i586.rpm Development files for the Qt5's Webview library
Advertisement
Advertisement